Page MenuHomePhabricator

Mark page moves performed by RenameUser as 'bot' to avoid flooding RecentChanges
Open, NormalPublic

Description

When user pages are renamed with globalrename tools and there are many user subpages, a global renamer should have the possibility to choose if mark these move logs as bot entries whitout flooding RC (expecially in small projects).
For ex. see https://et.wikipedia.org/wiki/Eri:Kaastöö/Euphydryas

Details

Related Gerrit Patches:
mediawiki/extensions/CentralAuth : masterMark user page moves as bot on rename user process
mediawiki/extensions/CentralAuth : masterAdd mark as bot option for move pages

Related Objects

Event Timeline

Melos created this task.Apr 30 2015, 5:05 PM
Melos raised the priority of this task from to Normal.
Melos updated the task description. (Show Details)
Melos added a project: GlobalRename.
Melos added a subscriber: Melos.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 5:05 PM
Stryn added a subscriber: Stryn.Apr 30 2015, 6:05 PM
Xeno added a subscriber: Xeno.Jun 18 2015, 12:30 PM
MarcoAurelio added a subscriber: MarcoAurelio.

Change 372772 had a related patch set uploaded (by Melos; owner: Melos):
[mediawiki/extensions/CentralAuth@master] Add mark as bot option for move pages

https://gerrit.wikimedia.org/r/372772

This sounds good to me, thanks for submitting a patch. Is there any reason we shouldn't always mark these page moves as bot?

Melos added a comment.Aug 19 2017, 9:55 PM

You're right. We could always mark these page moves as bot because all pages are moved in the User namespace.

This sounds good to me, thanks for submitting a patch. Is there any reason we shouldn't always mark these page moves as bot?

I agree as well. Let's just mark all as bot (and we also save some MediaWiki messages as well).

Note that jenkins has failed in a full check. I propose (https://gerrit.wikimedia.org/r/#/c/372780/) that @Melos be added to the trusted user group on jenkis so full results are given to him. @Legoktm I added you as reviewer for that patch.

Change 372803 had a related patch set uploaded (by Melos; owner: Melos):
[mediawiki/extensions/CentralAuth@master] Mark page moves as bot

https://gerrit.wikimedia.org/r/372803

Change 372772 abandoned by Melos:
Add mark as bot option for move pages

Reason:
see Change 372803

https://gerrit.wikimedia.org/r/372772

@Melos can you please add what @hoo mentioned in the gerrit patch so we can finally get your fix merged? Thanks.

revi added a subscriber: revi.Dec 6 2017, 11:08 PM

@Tgr Could you please review the patch again? Thanks!

@Tgr Could you please review the patch again? Thanks!

Sorry to insist but the patch is still pending review. Ping too @Legoktm and @hoo. Thanks.

MarcoAurelio renamed this task from Mark entries on recent changes as bot entries when user pages are renamed with globalrename tools to Mark page moves performed by RenameUser as 'bot' to avoid flooding RecentChanges.Aug 2 2018, 8:38 AM

Change 372803 had a related patch set uploaded (by MarcoAurelio; owner: Melos):
[mediawiki/extensions/CentralAuth@master] Mark user page moves as bot on rename user process

https://gerrit.wikimedia.org/r/372803